// IpSetDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Sample_MFC.h"
#include "IpSetDlg.h"
#include ".\ipsetdlg.h"


// CIpSetDlg dialog

IMPLEMENT_DYNAMIC(CIpSetDlg, CDialog)
CIpSetDlg::CIpSetDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CIpSetDlg::IDD, pParent)
{
	ZeroMemory(&m_Add, sizeof(BYTE) * 32);
	ZeroMemory(&m_MacAdd, sizeof(BYTE) * 32);
}

CIpSetDlg::~CIpSetDlg()
{
}

void CIpSetDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_IPADDRESS1, m_IpAddressCtrl);
}


BEGIN_MESSAGE_MAP(CIpSetDlg, CDialog)
END_MESSAGE_MAP()


// CIpSetDlg message handlers

BOOL CIpSetDlg::OnInitDialog()
{
	CDialog::OnInitDialog();
	m_IpAddressCtrl.SetAddress(192, 168, 1, 119);
	SetDlgItemText(IDC_MAC1, _T("41"));
	SetDlgItemText(IDC_MAC2, _T("52"));
	SetDlgItemText(IDC_MAC3, _T("54"));
	SetDlgItemText(IDC_MAC4, _T("52"));
	SetDlgItemText(IDC_MAC5, _T("41"));
	SetDlgItemText(IDC_MAC6, _T("01"));

	switch(m_CameraType)
	{
		case ARTCAM_CAMERATYPE_320LAN :
		case ARTCAM_CAMERATYPE_640LAN :
		case ARTCAM_CAMERATYPE_320LAN2 :
		case ARTCAM_CAMERATYPE_640LAN2 :
		case ARTCAM_CAMERATYPE_320LAN3 :
		case ARTCAM_CAMERATYPE_640LAN3 :
			GetDlgItem(IDC_MAC1)->EnableWindow(FALSE);
			GetDlgItem(IDC_MAC2)->EnableWindow(FALSE);
			GetDlgItem(IDC_MAC3)->EnableWindow(FALSE);
			GetDlgItem(IDC_MAC4)->EnableWindow(FALSE);
			GetDlgItem(IDC_MAC5)->EnableWindow(FALSE);
			GetDlgItem(IDC_MAC6)->EnableWindow(FALSE);
		break;
		case ARTCAM_CAMERATYPE_320GIGE:
		case ARTCAM_CAMERATYPE_640GIGE:
			GetDlgItem(IDC_IPADDRESS1)->EnableWindow(FALSE);
		break;
		default:
			GetDlgItem(IDC_MAC1)->EnableWindow(FALSE);
			GetDlgItem(IDC_MAC2)->EnableWindow(FALSE);
			GetDlgItem(IDC_MAC3)->EnableWindow(FALSE);
			GetDlgItem(IDC_MAC4)->EnableWindow(FALSE);
			GetDlgItem(IDC_MAC5)->EnableWindow(FALSE);
			GetDlgItem(IDC_MAC6)->EnableWindow(FALSE);
			GetDlgItem(IDC_IPADDRESS1)->EnableWindow(FALSE);
		break;
	}
	return TRUE;
}


void CIpSetDlg::OnOK()
{
	m_IpAddressCtrl.GetAddress(m_Add[0], m_Add[1], m_Add[2], m_Add[3]);

	TCHAR szTemp[6][32];
	GetDlgItemText(IDC_MAC1, szTemp[0], 32);
	GetDlgItemText(IDC_MAC2, szTemp[1], 32);
	GetDlgItemText(IDC_MAC3, szTemp[2], 32);
	GetDlgItemText(IDC_MAC4, szTemp[3], 32);
	GetDlgItemText(IDC_MAC5, szTemp[4], 32);
	GetDlgItemText(IDC_MAC6, szTemp[5], 32);

	for(int i=0; i<6; i++)
	_stscanf(szTemp[i], _T("%x"), &m_MacAdd[i]);

	CDialog::OnOK();
}
