#pragma once


// CParamSetupDlg dialog

class CParamSetupDlg : public CDialog
{
	DECLARE_DYNAMIC(CParamSetupDlg)

public:

	CArtCamSdk*		m_pArtCam;		// Pointer to SDK
	LPTHERMOPARAM	m_pParam;		// Pointer to current setting
	CComboBox		m_ComboRange;	// Temperature range
	
	CParamSetupDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CParamSetupDlg();

// Dialog Data
	enum { IDD = IDD_PARAM_SETUP };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	DECLARE_MESSAGE_MAP()

public:
	virtual BOOL OnInitDialog();			// Format

	afx_msg void OnBnClickedNuc();			// Call when Nuc button is pushed
	afx_msg void OnBnClickedAutonuc();		// Call when AutoNuc button is pushed
	afx_msg void OnCbnSelchangeSetrange();	// Call when temperature range ComboBox is changed
	afx_msg void OnBnClickedDefault();		// Call when basic setting button is pushed
	afx_msg void OnBnClickedApply();		// Call when apply value button is pushed
	afx_msg void OnBnClickedShowMirror();	// Indicate mirror setting
	afx_msg void OnBnClickedDataMirror();	// Save mirror setting


};
