#pragma once
#include "afxcmn.h"


// CReplayDlg dialog

class CReplayDlg : public CDialog
{
	DECLARE_DYNAMIC(CReplayDlg)

public:

	CArtCamSdk*			m_pArtCam;
	CSample_MFCDoc*		m_pDoc;
	TCHAR				m_szMovieFileName[MAX_PATH];
	HANDLE				m_hMovieFile;
	LONG				m_ConvertMono;

	/* Graphic things */
	CDib	m_CDibMono;			// For indicating monochrome
	CDib	m_CDibTemp;			// FOr indicating temperature
	CDib	m_CDibRaw;			// For indicating Raw data
	CDib	m_CDibColor;		// For indicating pseudo color
	
	CSliderCtrl m_PlayTime;

	
	CReplayDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CReplayDlg();

// Dialog Data
	enum { IDD = IDD_REPLAY };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();					// Painting process
	afx_msg void OnBnClickedLoadImg();		// Read and indicate a still image
	afx_msg void OnBnClickedLoadMov();		// Read silde images
	afx_msg void OnDestroy();
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);

	BOOL	CreateImageBuffer(void);		// Secure buffer for indicating
	void	ConvertDataToMono(void);		// Converting process for indicationg monochrome
	void	LoadImageFromMovie(LONG Pos);	// Read an 1 data from continuous data
	void	CloseMovieFile(void);			// Released opened slide images

};
